From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 5 March 2013<P>

HaremGirl, about <a href="/blend/wv.cgi?id=2013.03.04.13.56.6692">Twelve Years and Still Going Strong</a>:<BR>
<BR>
This is wonderful and the poem from your husband as well. Harem you have overcome a lot and it took a lot of faith and love to do it. I'm so glad you have your husband to see you through. He truly loves you and you are lucky to have him by your side. I'm sure it gets tough and winter time is so gloomy. It's been damp cold around here lately and it's driving me bats. ha Spring will be here soon and we need to write some poetry to keep spirits up. I always say it's not how you fall down but how you keep getting up..takes a strong person to overcome what you have seen. Keep strong and keep writing. Loveblender front page suits you well. Hang in there tough!<BR>
<BR>
bk
<HR>